Update Agent
PATCH /agents/{agent_id}RFC 7396 merge-patch onto the active revision, producing revision n+1.
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | path | string (uuid) | required | — |
Request body — AgentPatch
Section titled “Request body — AgentPatch”| Field | Type | Notes | |
|---|---|---|---|
name | string | null | optional | — |
description | string | null | optional | — |
avatar_preset | analyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | null | optional | — |
image_url | string | null | optional | max length 2048 |
is_active | boolean | null | optional | — |
attributes | object | null | optional | — |
revision | object | null | optional | — |
change_note | string | null | optional | max length 500 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | AgentView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X PATCH https://your-deployment.example.com/agents/{agent_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — AgentView
Section titled “Response — AgentView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | required, nullable | — |
workspace_id | string (uuid) | null | required, nullable | — |
slug | string | required | — |
name | string | required | — |
description | string | null | required, nullable | — |
avatar_preset | analyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | null | required, nullable | — |
image_url | string | null | required, nullable | — |
is_active | boolean | required | — |
attributes | object | required | — |
active_revision_id | string (uuid) | null | required, nullable | — |
created_by_user_id | string (uuid) | null | required, nullable | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |
active_revision | AgentRevisionView | null | optional | — |
revision_count | integer | null | optional | — |